<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $datetoday      = date('Y-m-d');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, usr.fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      $Where = "
        WHERE
          res.id != '0'
          AND res.fk_usuario = '$Usr[id]'
      ";

      //Validación de Encuestas
      $Query = "
        SELECT
          res.id,
          res.fecha, res.puntos, res.validacion,
          res.fk_tienda AS id_tienda,
          din.id AS id_dinamica,
          din.fk_dinamica_tipo AS id_tipo_dinamica,
          tip.tipo,
          din.nombre, din.descripcion,
          din.fechainicio, din.fechalimite
        FROM dinamica_respuesta res
        LEFT JOIN dinamicas din ON din.id = res.fk_dinamica
        LEFT JOIN dinamicas_tipos tip ON tip.id = din.fk_dinamica_tipo
        $Where
      ";
      $Dinamicas = $mysqli->query($Query);
      mysqli_data_seek($Dinamicas, 0);
      $Dinamicas->num_rows;
      $CountDin = 0;
      if( $Dinamicas->num_rows >= 1 ){
        while($Din = mysqli_fetch_array($Dinamicas)) {

          //Tienda
          $Query = "
            SELECT
              tie.id,
              tie.nombre,
              tie.codigoQr,
              tie.fk_pais, pai.nombre AS pais,
              tie.fk_estado, est.estado,
              tie.fk_municipio, mun.municipio,
              tie.codigo_postal, tie.colonia,
              tie.calle, tie.no_exterior, tie.no_interior,
              tie.lat, tie.lng
            FROM tiendas tie
            LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
            LEFT JOIN cat_estados est ON est.id = tie.fk_estado
            LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
            WHERE
              tie.id = '$Din[id_tienda]'
            GROUP BY tie.Id
          ";
          $Result = mysqli_query($mysqli, $Query);
          $TiendaVal = mysqli_fetch_assoc($Result);
          if( $TiendaVal[id] ){

            $Tienda = array(
              'codigo'        => $TiendaVal[codigoQr],
              'nombre'        => $TiendaVal[nombre],
              'calle'         => $TiendaVal[calle],
              'num_ext'       => $TiendaVal[no_exterior],
              'num_int'       => $TiendaVal[no_interior],
              'colonia'       => $TiendaVal[colonia],
              'municipio'     => $TiendaVal[municipio],
              'estado'        => $TiendaVal[estado],
              'pais'          => $TiendaVal[pais],
              'codigopostal'  => $TiendaVal[codigo_postal],
              'latitud'       => $TiendaVal[lat],
              'longitud'      => $TiendaVal[lng]
            );

          }

          $CountDin = $CountDin + 1;

          if( $Usr[fk_usuario_tipo] == 2 ){
            $Dins[] = array(
              'dinamica_id'       => $Din[id],
              'id_tipo_dinamica'  => $Din[id_tipo_dinamica],
              'tipo'              => $Din[tipo],
              'nombre'            => $Din[nombre],
              'descripcion'       => $Din[descripcion],
              'fecha_respuesta'   => $Din[fecha],
              'puntos'            => $Din[puntos],
              'validacion'        => $Din[validacion]
            );
          }else{
            $Dins[] = array(
              'dinamica_id'       => $Din[id],
              'id_tipo_dinamica'  => $Din[id_tipo_dinamica],
              'tipo'              => $Din[tipo],
              'nombre'            => $Din[nombre],
              'descripcion'       => $Din[descripcion],
              'fecha_respuesta'   => $Din[fecha],
              'puntos'            => $Din[puntos],
              'validacion'        => $Din[validacion],
              'tienda'            => $Tienda
            );
          }

        }

        if( $CountDin >= 1 ){

          $Data = array(
            'dinamicas'   => $Dins
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          //Error
          $Query = "
            SELECT
              err.Id, err.error, err.msn
            FROM api_errores err
            WHERE err.error = 'di-1'
          ";
          $Result = mysqli_query($mysqli, $Query);
          $Error = mysqli_fetch_assoc($Result);

          $Data = array(
            'action'      => 'error',
            'error'       => $Error[error],
            'error_msn'   => $Error[msn]
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'di-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }

  }

?>
